      /IF NOT DEFINED (PROPERTIES_QRPGLEH)
      /DEFINE PROPERTIES_QRPGLEH
      /IF DEFINED (LATE_BIND)
     d properties      ds                  qualified
     d getProperty                     *   procptr
     d setProperty                     *   procptr
     d loadProperties                  *   procptr
     d saveProperties                  *   procptr
     d removeProperty                  *   procptr
      /ENDIF
     /*===================================================================*/
     /*  Propertie                                                        */
     /*     einlesen und schreiben von Properties aus Streamfile          */
     /*     analog zu java.util.properties                                */
     /*-------------------------------------------------------------------*/
      /IF DEFINED (LATE_BIND)
     D getProperty     pr          1024a   EXTPROC(PROPERTIES.getProperty)
     D                                     varying
      /ELSE
     D getProperty     pr          1024a   EXTPROC('PROPERTIES_getProperty')
     D                                     varying
      /ENDIF
     D Key                           36a   value
     /*-------------------------------------------------------------------*/
      /IF DEFINED (LATE_BIND)
     D setProperty     pr              n   EXTPROC(PROPERTIES.setProperty)
      /ELSE
     D setProperty     pr              n   EXTPROC('PROPERTIES_setProperty')
      /ENDIF
     D Key                           36a   value
     D value                       1024a   varying
     /*-------------------------------------------------------------------*/
      /IF DEFINED (LATE_BIND)
     D loadProperties  pr                  EXTPROC(PROPERTIES.loadProperties)
      /ELSE
     D loadProperties  pr                  EXTPROC('PROPERTIES_loadProperties')
      /ENDIF
     D fileName                     128a   value
     /*-------------------------------------------------------------------*/
      /IF DEFINED (LATE_BIND)
     D saveProperties  pr                  EXTPROC(PROPERTIES.saveProperties)
      /ELSE
     D saveProperties  pr                  EXTPROC('PROPERTIES_saveProperties')
      /ENDIF
     D fileName                     128a   value
     /*-------------------------------------------------------------------*/
      /IF DEFINED (LATE_BIND)
     D removeProperty  PR              n   EXTPROC(PROPERTIES.removeProperty)
      /ELSE
     D removeProperty  PR              n   EXTPROC('PROPERTIES_removeProperty')
      /ENDIF
     D Key                           36    VALUE
     /*-------------------------------------------------------------------*/
      /ENDIF
